osgPresentation::SlideShowConstructor::PositionData Struct Reference

`#include <SlideShowConstructor>`

## Public Member Functions

| PositionData ()
bool | requiresPosition () const
bool | requiresScale () const
bool | requiresRotate () const
bool | requiresAnimation () const
bool | requiresMaterialAnimation () const

## Public Attributes

CoordinateFrame | frame
osg::Vec3 | position
osg::Vec3 | scale
osg::Vec4 | rotate
osg::Vec4 | rotation
std::string | animation_name
bool | absolute_path
bool | inverse_path
double | path_time_offset
double | path_time_multiplier
osg::AnimationPath::LoopMode | path_loop_mode
std::string | path
double | animation_material_time_offset
double | animation_material_time_multiplier
AnimationMaterial::LoopMode | animation_material_loop_mode
std::string | animation_material_filename
std::string | fade
bool | autoRotate
bool | autoScale
bool | hud

## Constructor & Destructor Documentation

## PositionData()

osgPresentation::SlideShowConstructor::PositionData::PositionData | ( |  | ) |

inline

References absolute_path, animation_material_loop_mode, animation_material_time_multiplier, animation_material_time_offset, autoRotate, autoScale, frame, hud, inverse_path, path_loop_mode, path_time_multiplier, path_time_offset, position, rotate, rotation, scale, osgPresentation::SlideShowConstructor::SLIDE, and osgPresentation::SlideShowConstructor::SlideShowConstructor().

## Member Function Documentation

## requiresAnimation()

bool osgPresentation::SlideShowConstructor::PositionData::requiresAnimation | ( |  | ) | const

inline

References path, and rotation.

## requiresMaterialAnimation()

bool osgPresentation::SlideShowConstructor::PositionData::requiresMaterialAnimation | ( |  | ) | const

inline

References animation_material_filename, and fade.

## requiresPosition()

bool osgPresentation::SlideShowConstructor::PositionData::requiresPosition | ( |  | ) | const

inline

References position.

## requiresRotate()

bool osgPresentation::SlideShowConstructor::PositionData::requiresRotate | ( |  | ) | const

inline

References rotate.

## requiresScale()

bool osgPresentation::SlideShowConstructor::PositionData::requiresScale | ( |  | ) | const

inline

References scale.

## Member Data Documentation

## absolute_path

bool osgPresentation::SlideShowConstructor::PositionData::absolute_path

Referenced by PositionData().

## animation_material_filename

std::string osgPresentation::SlideShowConstructor::PositionData::animation_material_filename

Referenced by requiresMaterialAnimation().

## animation_material_loop_mode

AnimationMaterial::LoopMode osgPresentation::SlideShowConstructor::PositionData::animation_material_loop_mode

Referenced by PositionData().

## animation_material_time_multiplier

double osgPresentation::SlideShowConstructor::PositionData::animation_material_time_multiplier

Referenced by PositionData().

## animation_material_time_offset

double osgPresentation::SlideShowConstructor::PositionData::animation_material_time_offset

Referenced by PositionData().

## animation_name

std::string osgPresentation::SlideShowConstructor::PositionData::animation_name

## autoRotate

bool osgPresentation::SlideShowConstructor::PositionData::autoRotate

Referenced by PositionData().

## autoScale

bool osgPresentation::SlideShowConstructor::PositionData::autoScale

Referenced by PositionData().

## fade

std::string osgPresentation::SlideShowConstructor::PositionData::fade

Referenced by requiresMaterialAnimation().

## frame

CoordinateFrame osgPresentation::SlideShowConstructor::PositionData::frame

Referenced by PositionData().

## hud

bool osgPresentation::SlideShowConstructor::PositionData::hud

Referenced by PositionData().

## inverse_path

bool osgPresentation::SlideShowConstructor::PositionData::inverse_path

Referenced by PositionData().

## path

std::string osgPresentation::SlideShowConstructor::PositionData::path

Referenced by requiresAnimation().

## path_loop_mode

osg::AnimationPath::LoopMode osgPresentation::SlideShowConstructor::PositionData::path_loop_mode

Referenced by PositionData().

## path_time_multiplier

double osgPresentation::SlideShowConstructor::PositionData::path_time_multiplier

Referenced by PositionData().

## path_time_offset

double osgPresentation::SlideShowConstructor::PositionData::path_time_offset

Referenced by PositionData().

## position

osg::Vec3 osgPresentation::SlideShowConstructor::PositionData::position

Referenced by PositionData(), and requiresPosition().

## rotate

osg::Vec4 osgPresentation::SlideShowConstructor::PositionData::rotate

Referenced by PositionData(), and requiresRotate().

## rotation

osg::Vec4 osgPresentation::SlideShowConstructor::PositionData::rotation

Referenced by PositionData(), and requiresAnimation().

## scale

osg::Vec3 osgPresentation::SlideShowConstructor::PositionData::scale

Referenced by PositionData(), and requiresScale().

The documentation for this struct was generated from the following file:

- SlideShowConstructor